Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
scenarios
List Scenarios
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/scenarios \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "tags": [
      "<string>"
    ],
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "turn_count": 123,
    "last_run": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_name": "<string>",
      "status": "pending",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "passed_turns": 123,
      "total_turns": 123,
      "session_id": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0
tags
string[] | null

Response

Successful Response

id
string<uuid>
required
name
string
required
description
string | null
required
tags
string[]
required
created_by_user_id
string<uuid> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
turn_count
integer
required
last_run
ScenarioRunSummary · object

Summary of a scenario run for list views.